# NLS Setup

[TOC]

# 1. Prepare Environment

**Docker Setup**

Please follow [DockerSetup](DockerSetup.md)-Guide.

**External DB Access**

To get superuser access to database from external, you have to add a user.
Follow [ReverseEngineeringNotes - DB-Access](ReverseEngineeringNotes.md#db-access).

After that, I modified `docker-compose.yaml` and added `ports` into `postgres-nls-si-0` container to get external
database access.
```diff
 postgres-nls-si-0:
        image: dls:pgsql_3.4.1
        restart: always
+        ports: [ '5432:5432' ]
```

Now you can connect with `<your-instance-ip>:5432` with any Database-Client you want.

# 2. Setup (NLS)

1. Access `https://<your-instance-ip>:8080` and click on *New Installation*
2. Enter *Username* and *Password*
3. *Continue to Login* and login
4. *Download DLS Instance Token*

- Local Reset Token `28b22cb5-76db-4211-84a7-d2821293fe44`
- [`dls_instance_token_03-26-2025-21-06-23.tok`](files/dls_instance_token_03-26-2025-21-06-23.tok)
- See [dls_instance_token.md](dls_instance_token.md)

# 3. Create License Server (Nvidia Application Hub)

Goto *License Servers* > *Create Server*

1. *Step 1 - Identification*: Enter a name
2. *Step 2 - Features*: Add at least one feature
3. *Step 3 - Environment*
   1. Select *On-Premise (DLS)*
   2. Select your *Registration Token* (DLS-Instance-Token)
   3. *Upload*
4. *Step 4 - Configuration*: Default *Standard Networked Licensing*
5. *Create Server*

Download your License

1. On your License-Server click *Actions*
2. Click *Download* and confirm

- [`license_03-26-2025-21-27-51.bin`](files/license_03-26-2025-21-27-51.bin)
- See [license.md](license.md)

# 4. Debug Config-Token

t.b.c.
